Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.domain.pluginDecorators
Class AbstractPluginDecorator<T extends kieker.analysis.model.analysisMetaModel.MIPlugin>

    java.lang.Object
      kieker.webgui.domain.pluginDecorators.AbstractAnalysisComponentDecorator<T>
          kieker.webgui.domain.pluginDecorators.AbstractPluginDecorator<T>

Type Parameters:
  `T` - The type of the decorator. This can be specified by inheriting classes in order to provide a more specific interface to access the class.

All Implemented Interfaces:
  kieker.analysis.model.analysisMetaModel.MIAnalysisComponent, kieker.analysis.model.analysisMetaModel.MIPlugin, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject

Direct Known Subclasses:
  FilterDecorator, ReaderDecorator

    public abstract class AbstractPluginDecorator<T extends kieker.analysis.model.analysisMetaModel.MIPlugin>

extends AbstractAnalysisComponentDecorator<T>
implements kieker.analysis.model.analysisMetaModel.MIPlugin

This is the abstract base for all other decorators which decorate the plugins from the analysis meta model. It adds some properties and methods to an `MIPlugin` instance. The already existing behavior of the `MIPlugin` instance is not modified.

Author:
  Nils Christian Ehmke

Field Summary

Fields inherited from class kieker.webgui.domain.pluginDecorators.AbstractAnalysisComponentDecorator
`analysisComponent, FACTORY`

Constructor Summary
`AbstractPluginDecorator(T analysisComponent, Map<String,String> propertiesDescriptions, String description, String dependency, boolean fullyInitialized, Map<String,String> displaysDescriptions)` Constructor to instantiate the fields of this class.

Method Summary
`String` | `getDisplayDescription(String display)` Delivers the description for the given display.
`org.eclipse.emf.common.util.EList<kieker.analysis.model.analysisMetaModel.MIDisplay>` | `getDisplays()`
`org.eclipse.emf.common.util.EList<kieker.analysis.model.analysisMetaModel.MIOutputPort>` | `getOutputPorts()`
`org.eclipse.emf.common.util.EList<kieker.analysis.model.analysisMetaModel.MIRepositoryConnector>` | `getRepositories()`
`protected void` | `refineComponentCopy(T componentCopy)` Inheriting classes should overwrite this method in order to refine the copy of the wrapped component.

Methods inherited from class kieker.webgui.domain.pluginDecorators.AbstractAnalysisComponentDecorator
`createComponent, eAdapters, eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eDeliver, eGet, eGet, eInvoke, eIsProxy, eIsSet, eNotify, eResource, eSet, eSetDeliver, eUnset, getClassname, getDependency, getDescription, getId, getName, getProperties, getPropertyDescription, isFullyInitialized, newCopy, setClassname, setId, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.model.analysisMetaModel.MIAnalysisComponent
`getClassname, getId, getName, getProperties, setClassname, setId, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Constructor Detail

### AbstractPluginDecorator

    public AbstractPluginDecorator(T analysisComponent,
                                   Map<String,String> propertiesDescriptions,
                                   String description,
                                   String dependency,
                                   boolean fullyInitialized,
                                   Map<String,String> displaysDescriptions)

  Constructor to instantiate the fields of this class.

  Parameters:
    `analysisComponent` - The component wrapped by this decorator.
    `propertiesDescriptions` - The descriptions of the properties.
    `description` - The description of the wrapped component.
    `dependency` - The dependency description of the wrapped component.
    `fullyInitialized` - A flag to show whether the component has been fully initialized or not.
    `displaysDescriptions` - The descriptions of the displays.

Method Detail

### getDisplayDescription

    public final String getDisplayDescription(String display)

  Delivers the description for the given display.

  Parameters:
    `display` - The display whose description should be delivered.
  Returns:
    The description.

### refineComponentCopy

    protected void refineComponentCopy(T componentCopy)

  Description copied from class: `AbstractAnalysisComponentDecorator`
  Inheriting classes should overwrite this method in order to refine the copy of the wrapped component. The new method should call `super.refineComponentCopy(factory, componentCopy)` though, in order to make sure that the other properties will be copied as well.

  Overrides:
    `refineComponentCopy` in class `AbstractAnalysisComponentDecorator<T extends kieker.analysis.model.analysisMetaModel.MIPlugin>`
  Parameters:
    `componentCopy` - The copy of the wrapped component, which can be refined by inheriting classes.

### getRepositories

    public final org.eclipse.emf.common.util.EList<kieker.analysis.model.analysisMetaModel.MIRepositoryConnector> getRepositories()

  Specified by:
    `getRepositories` in interface `kieker.analysis.model.analysisMetaModel.MIPlugin`

### getOutputPorts

    public final org.eclipse.emf.common.util.EList<kieker.analysis.model.analysisMetaModel.MIOutputPort> getOutputPorts()

  Specified by:
    `getOutputPorts` in interface `kieker.analysis.model.analysisMetaModel.MIPlugin`

### getDisplays

    public final org.eclipse.emf.common.util.EList<kieker.analysis.model.analysisMetaModel.MIDisplay> getDisplays()

  Specified by:
    `getDisplays` in interface `kieker.analysis.model.analysisMetaModel.MIPlugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.